module JunosSpace
  # JunosSpace.open
  #
  # Initiates the connection to the Junos Space server.
  #
  def self.open(user, pass, server)
    @conn_str = "https://#{user}:#{pass}@#{server}"
  end
  
  # JunosSpace.base_uri
  #
  # Returns the base URI for the API to use in our classes
  #
  def self.base_uri
    @conn_str
  end
end

module JunosSpace::Platform; end
module JunosSpace::SD; end